Subject: Re: [Slim] Comments on proposed SLIM charter

From: Randall Gellens <[email-masked]>
Date: Mon, 18 May 2015 18:09:53 -0700

Hi Ben and Barry,

Where are we with SLIM?  Are you waiting on anything from me?  Are we 
ready to charter the WG, or schedule a virtual BoF?

At 7:15 PM -0700 4/14/15, Randall Gellens wrote:

>   > On 13 Apr 2015, at 2:39, Randall Gellens wrote:
>>
>>>>  I will leave a definitive answer to Barry, but it would probably be
>>>>  useful to have your latest thinking in terms of a charter as an input
>>>>  to
>>>>  such a BOF.
>>>
>>>  Hi Ben,
>>>
>>>  In Dallas we talked about the issue of doing both problem areas (both
>>>  drafts) in one WG, and my recollection is that several people offered
>>>  advantages and none offered any real disadvantages. Someone mentioned
>>>  that it was possible that some WG participate might only be interested
>>>  in
>>>  one or the other, but that's common in all WGs, and isn't really a
>>>  problem
>>>  (it might be for some very large WGs with lots of work but that's not
>>>  the
>>>  case here).
>>
>>  I recall mentioning a couple:
>>
>>  -- There is controversy about the real-time solution. This can get in
>>  the way of getting less controversial deliverables done.  (Someone
>>  mentioned there is also controversy on the non-real-time solution. IMO,
>>  that makes things worse, not better.)
>>
>>  -- Experience has shown that keeping working group scopes as small as
>>  reasonably possible increases the odds of success. Putting two separate
>>  problems together in the same working group runs counter to that, so my
>>  personal preference is to avoid it unless the connection between the
>>  items is clear.
>>
>>  However, [see next comment]
>>
>>>  We already know that some participants are interested in
>>>  both, and we've seen already that some whose primary interest is one
>>>  are
>>>  able to offer constructive suggestions for the other.  So, I don't see
>>>  any
>>>  reason to not move forward.  If there are other changes you'd like to
>>>  see,
>>>  we can talk about them.
>>
>>  I don't object to moving forward with a combined proposal for the
>>  virtual BoF. We can see what people have to say about the combination in
>>  the BoF.
>>
>>  (I have had multiple people express skepticism about the combination [I
>>  think even some on the SLIM list], but I don't know if they will
>>  attend.)
>
>
>  Hi Ben,
>
>  Being skeptical of the advantages is fine; I still haven't seen any reason
>  why doing both will be an actual problem.  Given how small the two drafts
>  are, I don't see that controversy over one will hinder the other.  Both
>  drafts have attracted some controversy, but certainly the real-time one
>  has more.
>
>
>
>>>>  On 12 Apr 2015, at 3:18, Randall Gellens wrote:
>>>>
>>>>>  I was just thinking of asking you and Ben about this.  My
>>>>>  recollection
>>>>>  of
>>>>>  the meeting is that the next step was a virtual BOF.  Were you
>>>>>  expecting a
>>>>>  revised proposed charter?
>>>>>
>>>>>>  Where are we with the charter discussion, after the lunch meeting
>>>>>>  in
>>>>>>  Dallas?
>>>>>>
>>>>>>  Barry
>>>>>>
>>>>>>  On Mon, Mar 23, 2015 at 11:22 PM, Randall Gellens
>>>>>>  <[email-masked]> wrote:
>>>>>>>  At 10:32 AM -0400 3/18/15, Paul Kyzivat wrote:
>>>>>>>
>>>>>>>>  On 3/16/15 3:33 PM, Ben Campbell wrote:
>>>>>>>>>
>>>>>>>>>  On 13 Mar 2015, at 15:30, Ben Campbell wrote:
>>>>>>>>>
>>>>>>>>>>  I don't find the charter text motivating the linkage between
>>>>>>>>>>  the
>>>>>>>>>>  mail
>>>>>>>>>>  problem and the real-time problem very convincing. I'm not
>>>>>>>>>>  saying
>>>>>>>>>>  it's
>>>>>>>>>>  wrong; just that it hasn't convinced me.
>>>>>>>>>>
>>>>>>>>>>  The text suggests a single work group to reinforce commonality
>>>>>>>>>>  in
>>>>>>>>>>  the
>>>>>>>>>>  solutions. That seems backwards to me; I'd like to see more on
>>>>>>>>>>  why
>>>>>>>>>>  people think the problems benefit from a common solution. Do
>>>>>>>>>>  you
>>>>>>>>>>  think
>>>>>>>>>>  there will be mechanism in common, beyond the use of language
>>>>>>>>>>  tags?
>>>>>>>>>>  Do
>   >>>>>>>>> you see a common implementor community? A common protocol
>>>>>>>>>>  development
>>>>>>>>>>  community?
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>  Hi SLIM list participants:
>>>>>>>>>
>>>>>>>>>  I see that one of my comments has generated some discussion
>>>>>>>>>  (namely
>>>>>>>>>  the
>>>>>>>>>  SIP vs SDP discussion.) Does anyone have thoughts on my other
>>>>>>>>>  comment
>>>>>>>>>  (quoted above)?
>>>>>>>>
>>>>>>>>
>>>>>>>>  I don't see much commonality. I have suspicion that there will be
>>>>>>>>  distinct bodies of people interested in working on these two
>>>>>>>>  things.
>>>>>>>
>>>>>>>
>>>>>>>  There are some people who are only interested in one of the two
>>>>>>>  areas,
>>>>>>>  while
>>>>>>>  others are interested in both.  Obviously, different solutions are
>>>>>>>  needed
>>>>>>>  for the two problem spaces, and we have two drafts that each solve
>>>>>>>  one
>>>>>>>  of
>>>>>>>  the two problems.
>>>>>>>
>>>>>>>  The work could be done in two groups, but given that both are
>>>>>>>  aspects of
>>>>>>>  the
>>>>>>>  basic issue of facilitating communication among people who may use
>>>>>>>  different
>>>>>>>  languages, it also makes sense to do them in the same group.  I
>>>>>>>  see
>>>>>>>  some
>>>>>>>  benefit and no harm.
>>>>>>>
>>>>>>>  --
>>>>>>>  Randall Gellens
>>>>>>>  Opinions are personal;    facts are suspect;    I speak for myself
>>>>>>>  only
>>>>>>>  -------------- Randomly selected tag: ---------------
>>>>>>>  The most savage controversies are those about matters as to which
>>>>>>>  there is no good evidence either way.        --Bertrand Russell
>>>>>>>
>>>>>>>
>>>>>>>  _______________________________________________
>>>>>>>  SLIM mailing list
>>>>>>>  [email-masked]
>>>>>>>  https://www.ietf.org/mailman/listinfo/slim
>>>>>>
>>>>>
>>>>>  _______________________________________________
>>>>>  SLIM mailing list
>>>>>  [email-masked]
>>>>>  https://www.ietf.org/mailman/listinfo/slim
>>>>
>>

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
Conscience is the inner voice that warns us somebody is looking
                                                --H. L. Mencken

---

From: Barry Leiba <[email-masked]>
Date: Tue, 19 May 2015 17:51:14 +0100

> Where are we with SLIM?  Are you waiting on anything from me?  Are we ready
> to charter the WG, or schedule a virtual BoF?

I believe we were waiting for you and other proponents to schedule the
virtual BoF we talked about, yes.

Barry

---

From: Randall Gellens <[email-masked]>
Date: Tue, 19 May 2015 16:13:45 -0700

Hi Barry,

My apologies, I didn't realize you were waiting on me to do this. 
What's the earliest we can schedule it?

-------------- Randomly selected tag: ---------------
Democracy is the theory that the common people know what they want and
deserve to get it good and hard.
    --H. L. Mencken

---

From: Barry Leiba <[email-masked]>
Date: Thu, 21 May 2015 14:05:04 -0400

> My apologies, I didn't realize you were waiting on me to do this. What's the
> earliest we can schedule it?

I think the key point is to make sure the right people are there.  We
can be informal about it, and consider it a virtual "bar BoF" -- I
think everyone should be invited, and you should use your judgment on
lead time.  (My own judgment would be that setting it up now for late
June ought to be about right.)

Barry